bugtraq June 2008 archive
Main Archive Page > Month Archives  > bugtraq archives
bugtraq: Re: Collection of Vulnerabilities in Fully Patched Vim

Re: Collection of Vulnerabilities in Fully Patched Vim 7.1

From: Bram Moolenaar <Bram_at_nospam>
Date: Sat Jun 14 2008 - 13:09:37 GMT
To: "Jan Miná™" <rdancer@rdancer.org>

Jan Minar wrote:

> 1. Summary
>
> Product : Vim -- Vi IMproved
> Version : Tested with 7.1.314 and 6.4
> Impact : Arbitrary code execution
> Wherefrom: Local and remote
> Original : http://www.rdancer.org/vulnerablevim.html
>
> Improper quoting in some parts of Vim written in the Vim Script can lead to
> arbitrary code execution upon opening a crafted file.
 

Thanks to Jan for finding these problems and explaining them exhaustively. I received a note a month ago and all reported problems have been fixed. Either by patches or updates to the runtime files.

Note that version 7.1.314, as reported in the Summary, does not have most of the reported problems. The problems in the plugins have also been fixed, this requires updating the runtime files. Information about that can be found at http://www.vim.org/runtime.php

Patch 7.1.299 has added the fnameescape() function, which fixes the reported issues with escaping command arguments. It's not as difficult as suggested in the report.

If you find any remaining or related problems, please report to me directly. That's the best way to get them fixed. -- How To Keep A Healthy Level Of Insanity: 15. Five days in advance, tell your friends you can't attend their party because you're not in the mood. /// Bram Moolenaar -- Bram_at_Moolenaar.net -- http://www.Moolenaar.net \\\ /// sponsor Vim, vote for features -- http://www.Vim.org/sponsor/ \\\ \\\ download, build and distribute -- http://www.A-A-P.org /// \\\ help me help AIDS victims -- http://ICCF-Holland.org ///